ListStyle (KML Framework API)
Keywords: org.boehn.kmlframework.kml.ListStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class ListStyle

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.ListStyle

    public class ListStyle

extends KmlObject

Constructor Summary
`ListStyle()`
`ListStyle(ListItemTypeEnum listItemType, java.lang.String bgColor, java.lang.String itemIconState, java.lang.String href)`

Method Summary
`java.lang.String` | `getBgColor()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getItemIconState()`
`ListItemTypeEnum` | `getListItemType()`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setHref(java.lang.String href)`
`void` | `setItemIconState(java.lang.String itemIconState)`
`void` | `setListItemType(ListItemTypeEnum listItemType)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListStyle

    public ListStyle()

### ListStyle

    public ListStyle(ListItemTypeEnum listItemType,
                     java.lang.String bgColor,
                     java.lang.String itemIconState,
                     java.lang.String href)

Method Detail

### getListItemType

    public ListItemTypeEnum getListItemType()

### setListItemType

    public void setListItemType(ListItemTypeEnum listItemType)

### getBgColor

    public java.lang.String getBgColor()

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getItemIconState

    public java.lang.String getItemIconState()

### setItemIconState

    public void setItemIconState(java.lang.String itemIconState)

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD